## vice 2.2.0

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = vice
VERSION = 2.2

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = $(DESTDIR)$(prefix)/share
localedir = $(DESTDIR)$(datadir)/locale
gnulocaledir = $(DESTDIR)$(prefix)/share/locale
gettextsrcdir = $(DESTDIR)$(prefix)/share/gettext/po
subdir = po

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs

CC = arm-linux-gnueabi-gcc
GENCAT = 
GMSGFMT = PATH=../src:$$PATH /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = PATH=../src:$$PATH /scratchbox/tools/bin/xgettext
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -Wall -g -O2
CPPFLAGS =  

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES =  de.po fr.po it.po sv.po pl.po nl.po hu.po tr.po da.po
GMOFILES =  de.gmo fr.gmo it.gmo sv.gmo pl.gmo nl.gmo hu.gmo tr.gmo da.gmo
DISTFILES = ChangeLog ChangeLog.1 Makefile.in.in POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES) po2tbl.sed intl2po.c

POTFILES = \
	../src/arch/unix/joy.c \
	../src/arch/unix/mididrv.c \
	../src/arch/unix/rs232.c \
	../src/arch/unix/gui/c128ui.c \
	../src/arch/unix/gui/c64dtvui.c \
	../src/arch/unix/gui/c64ui.c \
	../src/arch/unix/gui/cbm2ui.c \
	../src/arch/unix/gui/petui.c \
	../src/arch/unix/gui/plus4ui.c \
	../src/arch/unix/gui/uiacia1.c \
	../src/arch/unix/gui/uiattach.c \
	../src/arch/unix/gui/uiautostart.c \
	../src/arch/unix/gui/uic64_256k.c \
	../src/arch/unix/gui/uic64cart.c \
	../src/arch/unix/gui/uic64dtv.c \
	../src/arch/unix/gui/uicmdline.c \
	../src/arch/unix/gui/uicommands.c \
	../src/arch/unix/gui/uicrtc.c \
	../src/arch/unix/gui/uidatasette.c \
	../src/arch/unix/gui/uidigimax.c \
	../src/arch/unix/gui/uidqbb.c \
	../src/arch/unix/gui/uidrive.c \
	../src/arch/unix/gui/uidrivec128.c \
	../src/arch/unix/gui/uidrivec64.c \
	../src/arch/unix/gui/uidrivec64c128.c \
	../src/arch/unix/gui/uidrivec64dtv.c \
	../src/arch/unix/gui/uidrivec64vic20.c \
	../src/arch/unix/gui/uidriveiec.c \
	../src/arch/unix/gui/uidrivepetcbm2.c \
	../src/arch/unix/gui/uidriveplus4.c \
	../src/arch/unix/gui/uidrivevic20.c \
	../src/arch/unix/gui/uieasyflash.c \
	../src/arch/unix/gui/uifliplist.c \
	../src/arch/unix/gui/uifullscreen-menu.h \
	../src/arch/unix/gui/uigeoram.c \
	../src/arch/unix/gui/uiide64.c \
	../src/arch/unix/gui/uiisepic.c \
	../src/arch/unix/gui/uijoystick2.c \
	../src/arch/unix/gui/uikeyboard.c \
	../src/arch/unix/gui/uimmc64.c \
	../src/arch/unix/gui/uimouse.c \
	../src/arch/unix/gui/uinetplay.c \
	../src/arch/unix/gui/uipalemu.c \
	../src/arch/unix/gui/uipalette.c \
	../src/arch/unix/gui/uiperipheral.c \
	../src/arch/unix/gui/uiperipheraliec.c \
	../src/arch/unix/gui/uiperipheralieee.c \
	../src/arch/unix/gui/uipetreu.c \
	../src/arch/unix/gui/uiplus256k.c \
	../src/arch/unix/gui/uiplus60k.c \
	../src/arch/unix/gui/uiprinter.c \
	../src/arch/unix/gui/uiprinteriec.c \
	../src/arch/unix/gui/uiprinteriecplus4.c \
	../src/arch/unix/gui/uiprinterieee.c \
	../src/arch/unix/gui/uips2mouse.c \
	../src/arch/unix/gui/uiramcart.c \
	../src/arch/unix/gui/uireu.c \
	../src/arch/unix/gui/uiromset.c \
	../src/arch/unix/gui/uirs232.c \
	../src/arch/unix/gui/uirs232c64c128.c \
	../src/arch/unix/gui/uirs232petplus4cbm2.c \
	../src/arch/unix/gui/uirs232user.c \
	../src/arch/unix/gui/uisettings.c \
	../src/arch/unix/gui/uisid.c \
	../src/arch/unix/gui/uisound.c \
	../src/arch/unix/gui/uisoundexpander.c \
	../src/arch/unix/gui/uited.c \
	../src/arch/unix/gui/uitfe.c \
	../src/arch/unix/gui/uivdc.c \
	../src/arch/unix/gui/uivic.c \
	../src/arch/unix/gui/uivicii.c \
	../src/arch/unix/gui/vic20ui.c \
	../src/arch/unix/gui/vsidui.c \
	../src/arch/unix/x11/gnome/about.c \
	../src/arch/unix/x11/gnome/uicartridge.c \
	../src/arch/unix/x11/gnome/uiedisk.c \
	../src/arch/unix/x11/gnome/uimenu.c \
	../src/arch/unix/x11/gnome/uinetplay.c \
	../src/arch/unix/x11/gnome/uipalcontrol.c \
	../src/arch/unix/x11/gnome/uiscreenshot.c \
	../src/arch/unix/x11/gnome/uisnapshot.c \
	../src/arch/unix/x11/gnome/uivsidcontrol.c \
	../src/arch/unix/x11/gnome/x11ui.c \
	../src/arch/unix/x11/ui-cmdline-options.c \
	../src/arch/unix/x11/xrandr.c \
	../src/arch/unix/x11/xaw/about.c \
	../src/arch/unix/x11/xaw/uicartridge.c \
	../src/arch/unix/x11/xaw/uiedisk.c \
	../src/arch/unix/x11/xaw/uimenu.c \
	../src/arch/unix/x11/xaw/uiscreenshot.c \
	../src/arch/unix/x11/xaw/uisnapshot.c \
	../src/arch/unix/x11/xaw/uivsidcontrol.c \
	../src/arch/unix/x11/xaw/x11ui.c \
	../src/arch/unix/x11/xaw/x11video.c \
	../src/arch/unix/macosx/joy.c \
	../src/arch/unix/macosx/mididrv.c \
	../src/arch/unix/macosx/cocoa/ui-cmdline-options.c \
	../src/arch/unix/macosx/cocoa/viceapplication.m \
	../src/arch/win32/res.rc.po.c \
	../src/arch/win32/resacia.rc.po.c \
	../src/arch/win32/resautostart.rc.po.c \
	../src/arch/win32/resc128.rc.po.c \
	../src/arch/win32/resc64.rc.po.c \
	../src/arch/win32/resc64_256k.rc.po.c \
	../src/arch/win32/resc64dtv.rc.po.c \
	../src/arch/win32/rescbm2.rc.po.c \
	../src/arch/win32/resdigimax.rc.po.c \
	../src/arch/win32/resdqbb.rc.po.c \
	../src/arch/win32/resdrivec128.rc.po.c \
	../src/arch/win32/resdrivec64.rc.po.c \
	../src/arch/win32/resdrivepetcbm2.rc.po.c \
	../src/arch/win32/resdriveplus4.rc.po.c \
	../src/arch/win32/resdrivevic20.rc.po.c \
	../src/arch/win32/reseasyflash.rc.po.c \
	../src/arch/win32/resgeoram.rc.po.c \
	../src/arch/win32/reside64.rc.po.c \
	../src/arch/win32/resisepic.rc.po.c \
	../src/arch/win32/reslightpen.rc.po.c \
	../src/arch/win32/resmidi.rc.po.c \
	../src/arch/win32/resmmc64.rc.po.c \
	../src/arch/win32/resmouse.rc.po.c \
	../src/arch/win32/respet.rc.po.c \
	../src/arch/win32/respetreu.rc.po.c \
	../src/arch/win32/resplus256k.rc.po.c \
	../src/arch/win32/resplus4.rc.po.c \
	../src/arch/win32/resplus60k.rc.po.c \
	../src/arch/win32/resramcart.rc.po.c \
	../src/arch/win32/resreu.rc.po.c \
	../src/arch/win32/resrs232user.rc.po.c \
	../src/arch/win32/ressid.rc.po.c \
	../src/arch/win32/ressidcart.rc.po.c \
	../src/arch/win32/ressiddtv.rc.po.c \
	../src/arch/win32/ressoundexpander.rc.po.c \
	../src/arch/win32/restfe.rc.po.c \
	../src/arch/win32/resvic20.rc.po.c \
	../src/arch/win32/resvicii.rc.po.c \
	../src/arch/amigaos/intl.c.po.c \
	../src/translate.c.po.c 

CATALOGS = $(POFILES:%.po=%$(CATOBJEXT))
CATOBJEXT = .gmo
INSTOBJEXT = .mo

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat .rc .rc.po.c .c.po.c

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f $(srcdir)/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg

.rc.rc.po.c:
	./intl2po win32 $< $@

.c.c.po.c:
	./intl2po intl $< $@

all: all-yes

all-yes: cat-id-tbl.c $(CATALOGS)
all-no:

$(srcdir)/$(PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=$(srcdir)/POTFILES.in \
	&& test ! -f $(PACKAGE).po \
	   || ( rm -f $(srcdir)/$(PACKAGE).pot \
		&& mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot )

$(srcdir)/cat-id-tbl.c: stamp-cat-id; @:
$(srcdir)/stamp-cat-id: $(PACKAGE).pot
	rm -f cat-id-tbl.tmp
	sed -f $(srcdir)/po2tbl.sed $(srcdir)/$(PACKAGE).pot \
		| sed -e "s/@PACKAGE NAME@/$(PACKAGE)/" > cat-id-tbl.tmp
	if cmp -s cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; then \
	  rm cat-id-tbl.tmp; \
	else \
	  echo cat-id-tbl.c changed; \
	  rm -f $(srcdir)/cat-id-tbl.c; \
	  mv cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; \
	fi
	cd $(srcdir) && rm -f stamp-cat-id && echo timestamp > stamp-cat-id


install: install-exec install-data
install-exec:
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(gettextsrcdir)/po-Makefile.in.in

check: all

cat-id-tbl.o: ../intl/libgettext.h

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.old.po cat-id-tbl.tmp intl2po
	rm -fr *.o $(top_srcdir)/src/arch/win32/*.po.c $(top_srcdir)/src/arch/amiga/*.po.c

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile intl2po $(POTFILES)
	$(MAKE) $(PACKAGE).pot
	PATH=`pwd`/../src:$$PATH; \
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; \
	    mv $$lang.old.po $$lang.po; \
	  fi; \
	done

intl2po: intl2po.c
	$(CC) $(INCLUDES) $(CFLAGS) $(srcdir)/intl2po.c -o intl2po
#	gcc $(srcdir)/intl2po.c -o intl2po

POTFILES: POTFILES.in intl2po

=== debian/changelog ===
vice (2.2.0) unstable; urgency=low

  * Initial Release.

 -- unknown <henri.lauronen@gmail.com>  Tue,  9 Feb 2010 08:02:21 +0000

=== debian/control ===
Source: vice
Section: user/games
Priority: extra
Maintainer: Henri Lauronen <henri.lauronen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, 
 libsdl1.2-dev, libgtk2.0-dev, libhildon1-dev, 
 libhildonfm2-dev, osso-af-settings,
 libosso-gnomevfs2-dev, libpango1.0-dev, libdbus-glib-1-dev
Standards-Version: 3.7.2

Package: vice
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Commodore Emulator
XB-Maemo-Display-Name: Vice
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAB3RJTUUH2gEf
 FCozgf9dAgAAAAlwSFlzAABOIAAATiABFn2Z3gAAAARnQU1BAACxjwv8YQUA
 AAyySURBVHja5VlpjCVXef3uVttb+nX39HimB2N7DMKRLSyBiAWyEiEUAwHL
 f9iU8IMhAhGBCMkPLGSWgEEgRCIQIRYixrYSIYHMIhAYIpsQgg2eiMEge+Q4
 2DOZxWO3e31LvVd1N8691dv09BjTicSPlG7Xq/fqVtV3v+Wc81Uz5xztthlm
 iDyLx9wn5NePiKp45Db33LXDpw3fPSemMAE3dcwXF97W+3Ajzvnm8Y5N0kU3
 zrYevHk/RkxsnGXrZ5kNP+JbM9ZnPsudn2276GXCCRZWjKU4FvwTH4VPr5oJ
 bOPZng1I1MRnmMdxHX9W5GR05/+dQbxZPFwSjqznzc/OB6/I4BbHyUdvidST
 YggxQwwqRikm4Ig9l+c/d4OiOTEctLVQTyL4jiT3zLtgXTCdJ7CRN/NDKvG9
 Beu3GeS1c4YQN8YZS1b7OlEqVfAVPfizlccfP3HfvT+qKusdP3jocLczc+Tt
 fzw3R61OXuqhICN4yp+DjxiDVz2L4W/Ki12sykIIiGktcbrfpw/c/LVjDz1y
 cO5lRovhsMSEPGs1d+yXy1LKmW7b2cGZp+8/euxzWletzJHPdlnm+VV2oUHP
 4l6FSsGc73z78Ztu/Oz/nEh6nescKypnrLQyF1ZMrJoYORYZyUzUtRpPFPc9
 U8PWdFyP9hoyNg57m/hYtIytesqYzwaOjj9CH3r/V5zu5ek1jsZM1H6sc88z
 Bd84iyV565kToue5KF0lRZEU+wXKi8qCurvWWOOMTQRqDpp9c0pGJ7HNcC/2
 +zPdntb0pdt/9a1vfrebXb02QPZk67jipUfV+Q2EQsqjBplhrIZlEQnireFd
 tmccCrgSAxdgw8x0n4fyQS396F9PpuwFw77rdqfHZR0MYtwwy+CVON+FKufe
 Sc4GnOnGvSEhmnBHR+zFILgcF3vASqhY5ix/x5E7z50ikbxouLbSmeKTeiWs
 Fnbj8bx2vN54Ep4vmRfeFEABcoZRwhwAKcLoXmtfNsEytuYydcTv/trJyWg6
 LzrD8bgoEuuGxGpqIsQ4Z1NZWiwvn0kS2OhgoDGUq5auNRewRNpaA5yMGyuW
 M/a7QWNTZZIiqCkpAcZIg3+5435r91facjUMzAU4pq3q1ZUdLC8cmG+V45Vz
 Tz42N9tOpFpYfCjJxMzsAW+z/QcEfFPXE5Xmu3Lnrtt202WT0+HP0+ISlWMW
 sAlsCWbCPIcMa9gUd3eTevnwlfPHH73v8sMHb/nIkT986fOzjKoJLSz5T37q
 C6PBZG35rBQg3gyYSmIvBjFdWglQ5frUSfWmN9+SqGtX1vwlB/d5N4geanGX
 UqigCnPPLdz3sY//9etuvLTJIu8AGU4lLR9hAM42jhBMA0ioSaW7PBtFGTiQ
 Nzy97golt0LG/NgHCBT65S/5527vMiMXCPoGi2x4yiFt2XSPHj5+79999qOv
 fi0C4XaomaauItUH6n3ly7/Hk7K2iKbeaQ0MgUzilRWV94WrXVGYt/zZ1Ufe
 9mK2UZJSO9gDmlSXzB8cly6ULf7wWDHCpZ6hgO3pJx/5+S8/HUIH7mccS7HW
 gi529b8QQipVW7owqT0gTGiP0jbzOFeOjr7mNde/+U2wZouSJc+oX9KdX/7J
 M4so8lkWdIxjVkXeA7UKwQf/9h8fTlIqJ0vOtQTPGg9dbEvT1PhxlhWcxjsN
 YlyHHEi4qIU8c/TYB4zGfIMTm+kWvJjldM8993e7XVRHDFaIZZq0RqUGny+v
 PBN94VpZMMXH7WIlbZyp6xpnjTHR0esjOgC5Izut/bp24/HZQ4dwE0rSOoS8
 0VWNh0Z6kKlO2e8lhQ9SB+eYhplJ0k2VnO1mKp3jQUlYDwUmfnvlNLbusHhd
 U3i/trjabtP07OD2O/6KsTUW+KG9fabEUwcT6IHLDCGdtKC8UcorKyvI2sWV
 M9/6zl8wNrSVEaoXQevZTMKDRTQ6ZJi126IVVQdVgv86y/Rdd71XMO3dVBCj
 XAfRtaHBJTTY8YfPQk8xocHdOL8eS9CTBDRXaU6GRjJth1ZiN0YAn0F1B6Uf
 uFUJ0bdUC1ZbXsWzQZM3hCDY6Iuff/f8YZLJGDNxSSg7smKbCpK8Tk7/V5/7
 CXMVcIQCc0Ii1ii8VMqltb4M2ImGxhCfeJ/v4hZNXAb2wQPHSnz9+29ER8JN
 MH4z++EgLIerYBy3SAtVMZPywI6pywzfSiIJMrLBtzHvAnuHYscNlMql4HVd
 2YALjapsQP2CkGGZPkIe6soOZnxv/XeryfgmWKQgfg0CsKrctEh8aanIopnh
 +u0yUQLphUjjTXlwKjgjbN6YEASVMBFLLAqVi1R7k7+QBN7MSXr0Q3/DJ4OO
 rerWJahKpBROtlotHExmpvYd+fPQG2T5RFMimvzXwvMtHJIJXfUHVyTpaVV0
 1oarLMiMYEKW5atLS93ObAR4NR4jHwF4tItyl5N4t4y0Smo2//ffZNVyJ+37
 +sKZ4tgn/+klH725fMPrlGoNbSAN73ROatNLoaB707DAjsflNn7m1pokSdKk
 Y03weAJCF+KifQTyulkkZ4mNWYdcZTuHsrx18tQDH761qKqqNsIGkki42h4z
 rql/8FJa7j9GvPLIT4rtH+Q9jTzZejT7shd/kFwKgI6+363mLXxTlMz6ZLKY
 DWq3VvHJSMYWLlL++j5wpn7RAbri1w8/uv+q6QePpvWS1kNOm4IiGsQprOjQ
 8w6gCwsJtbEZUyulULC9qf2bCnFnq7+eQ80O5eAyqjNXF84kOs511FR2k6P4
 PHN68eD89P5aP3nLJ0Q7XTDDIH633RVUZhMyf/muP/WmQ7bn5FqgYjRlqnKy
 RIvcal/2i4eoPxSVUYHdHDK+GRQHPBPMWSM1YtAx87UYOGSph/hohtrYK+7U
 Pkn66ZWe7WcP/pgee/z5DiFCW7ltdXqyAtCzRt5001dH6Dl5BxjHQEpBskBD
 5tDMgp9rT/XvuOu9APtOB5AHlGKJygMseQanp6THpKa8poHRc0Vdo1yhW0wD
 Fe789g93X80pASLnsyeJXfvIf9L8fIhn4yHjYsZ4GgzOMlESVuajsgrvhFQs
 dd7v63KY/smr/rbdnhqWQKbQXwNDPOAfMBcwz/AmwUZVVaTJ3IzN8zRNMFAO
 zT6ODPCWqSxPUfh8tLZ0FZ8a3/xpMts8NBq4osXKarC4mP30gRO333aCeGsw
 XsjzPApFjcwIQBrs44WipaXTb3/X66+//sDlLyD0GcBoO6QWp9u+8sT9P/n3
 Y088cfy776ZWAXZmOi7ab0NTJqISpkCbwroCOogrHZlDbPb2wE+Qnh0J3nrm
 aXrPO+9ZWNSDyWBmths7DY1shTUQskDitsrGJbJlOU3dda+4+rU3XqcSevjo
 Uwtnnrr7+w9M9fJTa4Of3/sOnuagsWK3AoC0AV4LHUxczgEpfAaQarcb5AHK
 Tkk3LgGG8ppr3tOdurbVvdTaRl6ZDSmDxAvu8NYmKQeZA5nKUeUhqSV3tvS2
 o6QdlqMf/PAm3rhERWQML938us4FzpmQCAwzNE2UxowcqtxnsGrzZYOW0tWV
 yFPwmn/woX+g5BQLtJegw2duGgOrDa/wuBWyo102HNNw7E6cOou8BPgu9auR
 U0PPnpwMoQefSdySHAC+offDYGp9z1QlkkGKesDy1EipzBZdXSjT9tv6bm4h
 kJ1PEha6syTIiy98/lZbP+UDeTXlGPAkykhfG51laZYlKPq5/fu0KcvxKgAd
 M42t4DNUsQ86SEes3jl8eJ8lAwl72gLZ87GWS5ZKFlvx0J8bpO3hQ+6HPzhy
 4NDK2XM/NtWqQTqY3KMZchLcgtZUa+VcUU1gR4fzbrywVEorI6Q2+7ya9TPe
 ZCJC/vaRet91sV3jFF4uQQ/LMGhDFmPbQeAe3upNozmgz3zmLW996w0zM+1U
 BiCI0M9pUx2vb2HlaPh9cAyWKtGsWL8xa0/b9utC3hlb4rfamLlZet/7/uiK
 K6BBTnMxAESCh5kwTEwAV2HIEZNj7HmMNqOCUeYodX5dXO1tY876DWPsBql4
 2nizAgCFrr377v/+xK13zvQOtYvLh4MSKif0OlBMLLwRdDoRUMVSOStUuviN
 e95o6v5U0aXn3Nuf76Hz3nY3Mq35zmKzNIKcveGGF972jx+78sppa6pWUbRb
 LaAXh7ADf4is08ryDCiynOeVsUuQOK0iqyq9B2uihxodBVHmzxM74IRgLqi0
 kfYQyaF8RNBjNcLHExW+h/8hVPBOYGn4UxtK1DKnpFxtF1N7e3G+KUwvlMt+
 veNGfylTKO8JWqVEoOpFeDsRIDNFAoW3sYxqMKtH9dXxvw4iz39HQ7Y8dJHX
 wr+v7X/11v3/hUG/Aa3GdWILQ6BpAAAAAElFTkSuQmCC

## vice 2.2.0-1

=== debian/changelog ===
vice (2.2.0-1) unstable; urgency=low

  * Initial N900 Release.

 -- barfly <henri.lauronen@gmail.com>  Tue,  9 Feb 2010 08:02:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: vice
+Version: 2.2.0-1
 Section: user/games
 Priority: extra
 Maintainer: Henri Lauronen <henri.lauronen@gmail.com>
@@ -7,12 +8,6 @@
  libhildonfm2-dev, osso-af-settings,
  libosso-gnomevfs2-dev, libpango1.0-dev, libdbus-glib-1-dev
 Standards-Version: 3.7.2
-
-Package: vice
-Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Commodore Emulator
-XB-Maemo-Display-Name: Vice
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAB3RJTUUH2gEf
  FCozgf9dAgAAAAlwSFlzAABOIAAATiABFn2Z3gAAAARnQU1BAACxjwv8YQUA
@@ -89,3 +84,9 @@
  kfYQyaF8RNBjNcLHExW+h/8hVPBOYGn4UxtK1DKnpFxtF1N7e3G+KUwvlMt+
  veNGfylTKO8JWqVEoOpFeDsRIDNFAoW3sYxqMKtH9dXxvw4iz39HQ7Y8dJHX
  wr+v7X/11v3/hUG/Aa3GdWILQ6BpAAAAAElFTkSuQmCC
+
+Package: vice
+Architecture: armel
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: The VICE Versatile Commodore Emulator
+

## vice 2.2.0-2

=== debian/changelog ===
vice (2.2.0-2) unstable; urgency=low

  * Added bugtrack url  

 -- barfly <henri.lauronen@gmail.com>  Wed, 23 Mar 2010 11:04:22 +0000

## vice 2.2.0-3

=== debian/changelog ===
vice (2.2.0-3) unstable; urgency=low

  * Fixed optify file 

 -- barfly <henri.lauronen@gmail.com>  Wed, 24 Mar 2010 11:54:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: vice
-Version: 2.2.0-1
 Section: user/games
 Priority: extra
 Maintainer: Henri Lauronen <henri.lauronen@gmail.com>
@@ -8,6 +7,8 @@
  libhildonfm2-dev, osso-af-settings,
  libosso-gnomevfs2-dev, libpango1.0-dev, libdbus-glib-1-dev
 Standards-Version: 3.7.2
+Xsbc-Bugtracker: https://garage.maemo.org/tracker/?atid=5340&group_id=1470
+XB-Maemo-Display-Name:VICE Emulator
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAB3RJTUUH2gEf
  FCozgf9dAgAAAAlwSFlzAABOIAAATiABFn2Z3gAAAARnQU1BAACxjwv8YQUA

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3 -mcpu=cortex-a8 -fomit-frame-pointer -fsigned-char -mfpu=neon -mfloat-abi=softfp
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/vice install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## vice 2.3.dfsg

=== debian/changelog ===
vice (2.3.dfsg-4) unstable; urgency=low

  * Fix FTBFS reasons on different architectures:
      - don't try building with ALSA on Hurd,
      - don't harden build for i386,
      - don't check for machine/cpufunc.h on kFreeBSD archs.
  * Build with pulseaudio support.
  * Revised build dependencies make fullscreen working again
    (closes: #618387, #624118).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 27 Jun 2012 18:51:03 +0200

vice (2.3.dfsg-3) unstable; urgency=low

  * Fix crash with newer ffmpeg, patch named as vice-ffmpeg.patch
    (closes: #651061, #651246).
  * Revise build dependencies (closes: #635221).
  * Update libpng-dev build-dependency (closes: #662533).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 24 Jun 2012 22:41:31 +0200

vice (2.3.dfsg-2) unstable; urgency=low

  * Build-Depend on libjpeg-dev instead of specific version (closes: #649766).
  * Add debian/watch and build-arch / build-indep targets to debian/rules .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 23 Nov 2011 23:50:06 +0100

vice (2.3.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #623742), switch to quilt source format.
  * Update upstream homepage.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 24 Apr 2011 01:08:10 +0200

vice (2.2.dfsg-1) unstable; urgency=low

  * New upstream release, C64 DTV is included so update package description
    and add it to the menu.
  * Drop patch fixing build failure with gcc-4.4 , applied upstream.
  * Fix some lintian problems and clean up debian/rules .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 11 Feb 2010 18:30:16 +0000

vice (2.1.dfsg-3) unstable; urgency=low

  * Unset $HOME during building to prevent FTBFS on mipsel buildd.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 01 Aug 2009 19:21:51 +0000

vice (2.1.dfsg-2) unstable; urgency=low

  * Fix FTBFS with gcc-4.4 (closes: #537772).
  * Update Standards-Version to 3.8.2 and debhelper compatibility to 5.
  * Add main category to desktop files.
  * Remove some more autogenerated files in clean target.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 21 Jul 2009 00:38:49 +0000

vice (2.1.dfsg-1) unstable; urgency=low

  * New major upstream release (closes: #495937).
  * Add desktop files (closes: #501181).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 31 Mar 2009 00:37:15 +0000

vice (1.22.dfsg1-0.1) unstable; urgency=low

  * NMU to fix release-critical bugs.
  * Add data/PRINTER/mps803 to mangle-source.sh check, it's not a multiple of
    2048. Also fix the bashism in the script by replacing $[ ] with $(( )) in
    the calculation part.
  * Mangled the source with above fixed script (closes: #442924, #501143)
  * do delete -size 6c files and not -empty, they contain "dummy\n"
  * Remove README.Debian entry about Xaw3d and Gnome because it's not valid
    anymore (closes: #501135)
  * Remove the following Build-Depends as they aren't used because of no xaw3d
    build: xaw3dg-dev, libxaw7-dev

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 16 Oct 2008 20:28:53 +0200

vice (1.22-4) unstable; urgency=low

  [ Gerfried Fuchs ]
  * src/arch/unix/x11/ui-resources.c: change netscape to x-www-browser, make
    the doc symlink point to the correct directory (closes: #480714)
  * Removed non-existing libxaw-headers package which got incorporated into
    libxaw7-dev.
  * Add xfonts-utils to Build-Depends for usage of bdftopcf and mkfontdir.

  [ Laszlo Boszormenyi (GCS) ]
  * Replace obsolete x-dev build dependency to x11proto-core-dev.
  * Remove preinst, it doesn't needed and was empty by the way.
  * Fix menu entry naming for xplus4, it's Plus/4 and not PET. Thanks to
    Andreas Stempfhuber (closes: #502303).
  * Update Standards-Version to 3.8.0 , include copyright notices in 
    debian/copyright .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 15 Oct 2008 21:53:25 +0000

vice (1.22-3) unstable; urgency=low

  * Re-enable all archs as liblame-dev bogus dependency is removed from
    buildds (closes: #460521).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 13 Jan 2008 14:32:57 +0200

vice (1.22-2) unstable; urgency=low

  * Accept Dann's fix (closes: #449427).
  * Exclude m68k and sparc from building for now. The buildd admins didn't
    remove bogus liblame-dev as build-dependency from buildds. This package
    is not for s390, remove that as well.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 25 Dec 2007 00:26:07 +0200

vice (1.22-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add a missing include directive, resolving an implicitly pointer conversion
    issue. Closes: #449427

 -- dann frazier <dannf@debian.org>  Thu, 13 Dec 2007 12:15:30 -0700

vice (1.22-1) unstable; urgency=low

  * New upstream version (closes: #428280).
  * Correct link to HTML documentation in manpage (closes: #409567).
  * Fix most packaging mistakes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 07 Oct 2007 07:05:46 +0200

vice (1.20-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix to work with current X11. Closes: #418295

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 26 Jun 2007 14:27:12 +0000

vice (1.20-2) unstable; urgency=low

  * New maintainer, update to the newest standards-version.
  * Fix FTBFS due to removed liblame-dev, changed to libtwolame-dev.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 11 Mar 2007 16:15:21 +0000

vice (1.20-1) unstable; urgency=low

  * New upstream version (closes: #393714)
  * Activated ethernet, gnomeui, and parsid support
  * ffmpeg support is still disabled (doesn't build)
  * Using debhelper v4 now
  * Fix link to old roms file (closes: #396542)
  * Use DESTDIR= instead of prefix= for make install
  * Increased accuracy of ROM checking script

 -- Zed Pobre <zed@debian.org>  Sat,  4 Nov 2006 13:01:24 -0500

vice (1.19-1) unstable; urgency=low

  * New upstream version (Closes: #344245, #379781)
  * Reference to roms in package description fixed (Closes: #302900)


=== debian/control ===
Source: vice
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), autoconf, autotools-dev, bison++ | bison, flex, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev, libieee1284-3-dev [!hurd-i386], libgtkglext1-dev
Section: contrib/otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Homepage: http://vice-emu.sourceforge.net/
Standards-Version: 3.9.3

Package: vice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Versatile Commodore Emulator
 VICE emulates well the hardware of the Commodore Business Machines of
 the pre-Amiga era. Supported are the various Pets, the VIC-20, the
 Commodore 64, the Commodore 128, the CBM-II series, and the PLUS/4.
 .
 Some alternate keywords for the above: VIC20, C64, C=64, C64 DTV, C128,
 C=128, CBM-500, CBM-600, CBM-700, PLUS4 .
 .
 This package does not contain the various ROM images needed to
 actually use the emulators; they are available separately from other
 locations (see the README.ROMs file).  A corporation in the
 Netherlands called Tulip holds the copyrights to the ROM images, and
 redistribution is not permitted, but VICE itself is unencumbered.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for vice
#
# First created Jan 2000 by Zed Pobre, with some reference to the work
# done by Giuliano Procida 1997-1999

PACKAGE=vice
DATADIRS=C64 C128 PET PLUS4 VIC20 CBM-II
install_program=install -p -o root -g root -m 755
make_directory=install -d -o root -g root -m 755

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

#CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
#CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
#LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
#CFLAGS		+= -fPIC $(HARDENING_CFLAGS)
#CPPFLAGS	+= $(HARDENING_CPPFLAGS)
#LDFLAGS		+= $(HARDENING_LDFLAGS)

unexport HOME

romtest:
	chmod 755 debian/genromlist
	debian/genromlist
	touch romtest

configure: romtest configure-stamp
configure-stamp:
#	aclocal
#	autoheader
#	automake
	autoconf
#	cd src/resid && aclocal && automake && autoconf
	./configure \
	    --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man \
	    --enable-gnomeui --enable-ethernet \
	    --enable-fullscreen --enable-parsid --with-midas --without-xaw3d
	touch $@

build-arch: build
build-indep: build

build: build-stamp
#build-stamp: patch-stamp configure-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)
	touch $@

#clean: unpatch
clean:
	dh_testdir
	rm -f build-stamp configure-stamp romtest

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log
	find . -name Makefile -exec rm {} \;
#	find . -name Makefile.in -exec rm {} \;
#	cd src/resid && rm -f aclocal.m4 config.status config.log configure
	rm -rf src/resid/tmp src/resid/autom4te.cache
	rm -f src/translate_text.c.po.c src/translate.h \
          src/arch/amigaos/intl_text.c.po.c po/vice.pot
	rm -f po/*.gmo
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/$(PACKAGE) install

# 	Remove the 0-byte placeholders
	cd debian/$(PACKAGE)/usr/lib/vice && find . -size 6c -exec rm {} \;

	rm -rf debian/$(PACKAGE)/usr/lib/vice/doc
	cp debian/icons/*.xpm debian/$(PACKAGE)/usr/share/pixmaps/
	dh_installdocs
	$(make_directory) debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html
	cp doc/html/*.html debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html
	ln -sf vice_toc.html debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html/index.html
	ln -sf ../../share/doc/vice/html debian/$(PACKAGE)/usr/lib/vice/doc
#	$(install_program) debian/vice-getroms debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/
	mkdir -p debian/$(PACKAGE)/usr/share/applications/ && \
	  cp -Rv debian/desktop/* debian/$(PACKAGE)/usr/share/applications/

	dh_installchangelogs -k ChangeLog

	rm -rf debian/$(PACKAGE)/usr/share/info
	dh_installinfo
#	rm -f debian/$(PACKAGE)/usr/info usr/share/info/dir.gz
	dh_installmenu

	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: build configure romtest binary binary-arch binary-indep clean

## vice 2.4.dfsg

=== debian/changelog ===
vice (2.4.dfsg-1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 18 Jan 2014 11:24:07 -0500

vice (2.4.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #693065, #693641).
  * Drop vice-ffmpeg.patch , applied upstream.
  * Disable architecture specific compilation (closes: #686400, #714136).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Jul 2013 20:38:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: vice
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), autoconf, autotools-dev, bison++ | bison, flex, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev, libieee1284-3-dev [!hurd-i386], libgtkglext1-dev
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), autoconf, autotools-dev, bison++ | bison, flex, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev, libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-dev, dh-autoreconf
 Section: contrib/otherosfs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Homepage: http://vice-emu.sourceforge.net/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: vice
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -30,15 +30,13 @@
 
 configure: romtest configure-stamp
 configure-stamp:
-#	aclocal
-#	autoheader
-#	automake
-	autoconf
+	dh_autoreconf
 #	cd src/resid && aclocal && automake && autoconf
 	./configure \
 	    --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man \
 	    --enable-gnomeui --enable-ethernet \
-	    --enable-fullscreen --enable-parsid --with-midas --without-xaw3d
+	    --enable-fullscreen --enable-parsid --with-midas --without-xaw3d \
+	    --enable-arch=no
 	touch $@
 
 build-arch: build
@@ -66,6 +64,10 @@
 	rm -f src/translate_text.c.po.c src/translate.h \
           src/arch/amigaos/intl_text.c.po.c po/vice.pot
 	rm -f po/*.gmo
+	rm -f configure
+	# upstream stupidity
+	rm -f src/try.tmp
+	dh_autoreconf_clean
 	dh_clean
 
 binary-indep: build

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://sf.net/vice-emu/vice-(.+)\.tar\.gz

## vice 2.4.dfsg+2.4.6

=== debian/changelog ===
vice (2.4.dfsg+2.4.6-1ubuntu1) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 10 May 2014 21:08:23 -0400

vice (2.4.dfsg+2.4.6-1) unstable; urgency=low

  * New upstream release, update patches.
  * Add libswscale-dev to build-depends for building ffmpeg output driver
    (closes: #721927).
  * Try to fix build race condition (closes: #725629).
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 26 Mar 2014 21:45:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: vice
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), autoconf, autotools-dev, bison++ | bison, flex, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev, libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-dev, dh-autoreconf
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), autoconf, autotools-dev, bison++ | bison, flex, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev, libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-dev, libswscale-dev, xfonts-utils
 Section: contrib/otherosfs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Homepage: http://vice-emu.sourceforge.net/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: vice
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,12 @@
 
 configure: romtest configure-stamp
 configure-stamp:
-	dh_autoreconf
+#	aclocal
+#	autoheader
+#	automake
+	autoconf
 #	cd src/resid && aclocal && automake && autoconf
+	dh_autotools-dev_updateconfig
 	./configure \
 	    --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man \
 	    --enable-gnomeui --enable-ethernet \
@@ -67,7 +71,7 @@
 	rm -f configure
 	# upstream stupidity
 	rm -f src/try.tmp
-	dh_autoreconf_clean
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 binary-indep: build

## vice 2.4.dfsg+2.4.7

=== debian/changelog ===
vice (2.4.dfsg+2.4.7-1) unstable; urgency=low

  * New upstream release.
  * Drop libav10.patch as this release contains that fix.
  * Merge with Ubuntu.

  [ Logan Rosen <logan@ubuntu.com> ]
  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 30 Jul 2014 15:04:09 +0000

vice (2.4.dfsg+2.4.6-2) unstable; urgency=medium

  * Add libav10.patch to build with libav (>= 6:10), thanks to Anton Khirnov
    (closes: #739315).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 13 May 2014 14:09:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: vice
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), autoconf, autotools-dev, bison++ | bison, flex, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev, libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-dev, libswscale-dev, xfonts-utils
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), autoconf, autotools-dev, bison++ | bison, flex, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libtwolame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-dev, libswscale-dev, xfonts-utils
 Section: contrib/otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Homepage: http://vice-emu.sourceforge.net/
 Standards-Version: 3.9.5

## vice 2.4.dfsg+2.4.9

=== debian/changelog ===
vice (2.4.dfsg+2.4.9-2) unstable; urgency=medium

  * Re-try to fix build race with building in po/ first.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Oct 2014 08:05:48 +0000

vice (2.4.dfsg+2.4.9-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Oct 2014 14:50:57 +0000

vice (2.4.dfsg+2.4.7-3) unstable; urgency=low

  * Disable non-working patch for build race fix.

  [ Spiro Trikaliotis <vice@trikaliotis.net> ]
  * Workaround build race (closes: #725629).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 30 Sep 2014 15:22:21 +0000

vice (2.4.dfsg+2.4.7-2) unstable; urgency=low

  * Apply upstream fix for shift-up not recognized (closes: #678987).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Sep 2014 07:38:01 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Homepage: http://vice-emu.sourceforge.net/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: vice
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 DATADIRS=C64 C128 PET PLUS4 VIC20 CBM-II
 install_program=install -p -o root -g root -m 755
 make_directory=install -d -o root -g root -m 755
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 #DPKG_EXPORT_BUILDFLAGS = 1
@@ -51,6 +54,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 
+	$(MAKE) -C po/
 	$(MAKE)
 	touch $@
